Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  InsertionPoint auslesen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   InsertionPoint auslesen (527 mal gelesen)
GG-GREGOR
Mitglied
CAD - KONSTR.


Sehen Sie sich das Profil von GG-GREGOR an!   Senden Sie eine Private Message an GG-GREGOR  Schreiben Sie einen Gästebucheintrag für GG-GREGOR

Beiträge: 79
Registriert: 04.09.2002

SW.
ACAD 2010
ACAD Map 3D 2006
Solid Works 2010
Cinema 4D
Max 3D<P>HW.
mix

erstellt am: 28. Jul. 2009 09:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Leute

hab wider mal ein Problem! 
Lesen den InsertionPoint so aus
(setq AWSL (ssname AWS index2))
(setq theobj1 (vlax-ename->vla-object AWSL))
(setq thelist-1 (vlax-get-property theobj1 'InsertionPoint))
(setq IP-Block (vlax-safearray->list (variant-value thelist-1)))

so weit geht es gut aber wenn ich so schreibe das ich die Bezeichnung vom Block haben will sind die Punkte ganz wo anders!

(setq AWSL (ssname AWS index2))
(setq BL-bez (cdr (assoc 2 (entget AWSL))))
(setq theobj1 (vlax-ename->vla-object AWSL))
(setq BL-bez (vlax-get-property theobj1 'EffectiveName))
(setq thelist-1 (vlax-get-property theobj1 'InsertionPoint))
(setq IP-Block (vlax-safearray->list (variant-value thelist-1)))

hab ich was vergessen ?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 892
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 28. Jul. 2009 10:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für GG-GREGOR 10 Unities + Antwort hilfreich

Hi Gregor,
der Code sieht identisch aus und gibt im Schnelldurchlauf auch gleiche Werte zurück...
Nur das du beim zweiten Code zweimal den Namen abfragst.
Verstehe die Frage/das Problem nicht ganz.
Bis du im Layout/Model? BKS gedreht? Dynamischer/Statischer Block?
Zählst du ggf. den index2 hoch --> anderes Entity?
??? Besser einfach mal ne Beispielzeichnung hochladen.

------------------
Mfg Heiko

Elefantenjagd in Afrika
"... LISP-Programmierer bauen einen Irrgarten aus Klammern und hoffen, dass sich der Elefant darin verirrt..."   (www.uni-leipzig.de/~rotheh/elefant.htm)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wronzky
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleistungen für Architekten



Sehen Sie sich das Profil von wronzky an!   Senden Sie eine Private Message an wronzky  Schreiben Sie einen Gästebucheintrag für wronzky

Beiträge: 2154
Registriert: 02.05.2005

CAD:
AutoCAD 2.6 bis 2014
ADT 2005 - 2014
Arcibem
System:
Windows 2000, XP, NO VISTA
Internet-Startseite:
http://www.archi.de

erstellt am: 28. Jul. 2009 10:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für GG-GREGOR 10 Unities + Antwort hilfreich

Hallo Gregor,
und warum machst Du nicht einfach
Code:
(cdr (assoc 10 (entget AWSL)))
für den Einfügepunkt???

Grüsse, Henning

------------------
Henning Jesse
VoxelManufaktur
Computer-Dienstleistungen für Architekten und Ingenieure

  http://www.voxelman.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

GG-GREGOR
Mitglied
CAD - KONSTR.


Sehen Sie sich das Profil von GG-GREGOR an!   Senden Sie eine Private Message an GG-GREGOR  Schreiben Sie einen Gästebucheintrag für GG-GREGOR

Beiträge: 79
Registriert: 04.09.2002

SW.
ACAD 2010
ACAD Map 3D 2006
Solid Works 2010
Cinema 4D
Max 3D<P>HW.
mix

erstellt am: 28. Jul. 2009 10:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@Hi Heiko

möchte aus einem Block nur den Namen und den Einfügepunkt abfragen.

die zweite abfrage ist nur zur kontrolle gewesen nur auf einen anderen weg.

@Hi Henning
das hab ich auch gemacht!

mfg
Gregor

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz